/******************************************************************************

   Copyright (c) 2004 by Sony Ericsson Mobile Communications(J).
                                            All Rights Reserved.

    [FileName]   OEMFMTUNERAPI.h

    [Outline]    FMTUNER 内部モジュール向けAPI

    [history]	 08/12/04 myoshida@OTS  新規作成
				 10/20/04 dan@cresco	803バックグランド再生対応
  
******************************************************************************/
#ifndef __FMTUNERAPI_H__
#define __FMTUNERAPI_H__

#include "AEE.h"
#include "OEMFeatures.h"
//#include "Common.h"		/* BYTE定義 */

/*  PTX808 Add by Yin.R.F for FM & PictPlayer 2006/02/15 [S]  */
typedef enum
{
    FM_PP_VOL,
    FM_PP_TUNER,
    FM_PP_STOP
}FM_PP_SW;
typedef struct _ST_FM_PP_CTRL
{
    FM_PP_SW    PP_StartParmSW;
}ST_FM_PP_CTRL;
/*  PTX808 Add by Yin.R.F for FM & PictPlayer 2006/02/15 [E]  */

extern void     ApiOEMFMTUNER_ChangeStereoJackState( BYTE bJack );
extern void     ApiOEMFMTUNER_CloseApp( void );
extern void     ApiOEMFMTUNER_DisableAlarm( void );
extern void     ApiOEMFMTUNER_ChangeManner( BYTE bManner );
extern AEECLSID ApiOEMFMTUNER_GetAppId( void );
// TRK-0049[S]
//extern int      ApiOEMFMTUNER_Suspend( void );
//extern void     ApiOEMFMTUNER_Resume( void );
extern int      ApiOEMFMTUNER_Suspend( boolean bVoiceFlag );
extern void     ApiOEMFMTUNER_Resume( boolean bVoiceFlag );
// TRK-0049[E]
extern boolean  ApiOEMFMTUNER_IsActive( void );

// PTX803_FMradio_background_Add -s-
extern int		ApiOEMFMTUNER_BG_Start(void);
extern void		ApiOEMFMTUNER_BG_End(void);
extern void		ApiOEMFMTUNER_BG_ChangeVolume(int direction);
extern void		ApiOEMFMTUNER_BG_ChangeTune(int direction);

/* [PTX804_BREWAV] Taogl added 2005/03/07 [S] */
//for merge 803 TRK 2211
extern int      ApiOEMFMTUNER_BG_GetNowTune(void);
extern void     ApiOEMFMTUNER_BG_SetTune(uint32 Frequency);
/* Taogl [PTX804_BREWAV] [E]  */

/* [PTX804_BREWAV] Tianye added 2005/04/15 [S] */
//for merge 803 TRK 2720
extern int		ApiOEMFMTUNER_BG_GetNowDevice(void);
/* Tianye [PTX804_BREWAV] [E]  */


/* [PTX804_BREWAV] Tianye added 2005/04/15 [S] */
//for merge 803 TRK 3836
extern int		ApiOEMFMTUNER_FG_GetNowDevice(void);
//Tianye [PTX804 BREWAV] [E]

/*  PTX808 Add by Yin.R.F for FM & PictPlayer 2006/02/15 [S]  */
extern void OEMFM_SetPPActiveFlag( boolean parm );
extern int OEMFM_GetCuretTuner( void );
extern int OEMFM_GetCuretVol( void );
extern boolean OEMFM_CheckPPIsActive( void );
extern boolean OEMFM_IsBGStatus( void );
/*  PTX808 Add by Yin.R.F for FM & PictPlayer 2006/02/15 [E]  */

#endif//__FMTUNERAPI_H__
